# This is the makefile for testing the mesa eos library

MESA_DIR = /Users/jcpassy/Work/MESA/mesa_7503

#################################################################

# STEP 1: get the standard compiler setup

#include $(MESA_DIR)/utils/makefile_header
include makefile_header

ifeq ($(EOS_OFFLOAD),YES)
CC += -Doffload
FC += -Doffload
endif

#################################################################

# STEP 2: info about the libraries

LOAD_MESA = $(LOAD_MESA_STAR) $(LOAD_EXTRAS)

#################################################################

# STEP 3: build

OBJS_LIB = \
	module_eos.o \
	main_fortran.o

TARGET = bin

F77 = /Applications/mesasdk/bin/gfortran
CXX = /Applications/mesasdk/bin/g++

EXE_FORTRAN = main_fortran.exe
EXE = main_cpp.exe


all: module_eos.o
	$(CXX) -c -fopenmp $(LOAD_MESA) -lgfortran main_cpp.C
	$(CXX) -o $(TARGET)/$(EXE) -fopenmp $(LOAD_MESA) -lgfortran \
	main_cpp.o module_eos.o

fortran: $(OBJS_LIB)
	$(F77) $(FCopenmp) -o $(TARGET)/$(EXE_FORTRAN) \
	$(OBJS_LIB) $(LOAD_MESA) \
	-I$(MESA_INCLUDE_DIR)

#################################################################

%.o: %.f
	$(F77) $(FCfixed) -o $@ -I$(MESA_INCLUDE_DIR) -c $< 

clean:
	-@rm -f *.o *.mod